> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Cache

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /enterprises/{enterprise}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-retention-limit-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache retention limit for an enterprise
* [`PUT /enterprises/{enterprise}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-retention-limit-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache retention limit for an enterprise
* [`GET /enterprises/{enterprise}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-storage-limit-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache storage limit for an enterprise
* [`PUT /enterprises/{enterprise}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-storage-limit-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache storage limit for an enterprise
* [`GET /enterprises/{enterprise}/actions/cache/usage`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-usage-for-an-enterprise) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache usage for an enterprise
* [`GET /organizations/{org}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-retention-limit-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache retention limit for an organization
* [`PUT /organizations/{org}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-retention-limit-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache retention limit for an organization
* [`GET /organizations/{org}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-storage-limit-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache storage limit for an organization
* [`PUT /organizations/{org}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-storage-limit-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache storage limit for an organization
* [`GET /orgs/{org}/actions/cache/usage`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-usage-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache usage for an organization
* [`GET /orgs/{org}/actions/cache/usage-by-repository`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#list-repositories-with-github-actions-cache-usage-for-an-organization) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List repositories with GitHub Actions cache usage for an organization
* [`GET /repos/{owner}/{repo}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-retention-limit-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache retention limit for a repository
* [`PUT /repos/{owner}/{repo}/actions/cache/retention-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-retention-limit-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache retention limit for a repository
* [`GET /repos/{owner}/{repo}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-storage-limit-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache storage limit for a repository
* [`PUT /repos/{owner}/{repo}/actions/cache/storage-limit`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#set-github-actions-cache-storage-limit-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set GitHub Actions cache storage limit for a repository
* [`GET /repos/{owner}/{repo}/actions/cache/usage`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#get-github-actions-cache-usage-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get GitHub Actions cache usage for a repository
* [`GET /repos/{owner}/{repo}/actions/caches`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#list-github-actions-caches-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - List GitHub Actions caches for a repository
* [`DELETE /repos/{owner}/{repo}/actions/caches`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#delete-github-actions-caches-for-a-repository-using-a-cache-key) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete GitHub Actions caches for a repository (using a cache key)
* [`DELETE /repos/{owner}/{repo}/actions/caches/{cache_id}`](https://docs.github.com/enterprise-cloud@latest/rest/actions/cache#delete-a-github-actions-cache-for-a-repository-using-a-cache-id) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Delete a GitHub Actions cache for a repository (using a cache ID)
